Subject: bug#50660: 28.0.50; Text artifacting when the cursor moves over text under mouse face that originally displayed a box

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Sep 2021 10:04:07 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 26 Sep 2021 14:46:09 +0800
> 
> Po Lu <[email-masked]> writes:
> 
> > I found the issue with that.  Hopefully, in a bit, I will have something
> > ready to work, but in the meantime I noticed another problem:
> 
> Thanks, another question: if I restore the original value of
> phys_cursor->x after the call to display_and_set_cursor,
> erase_phys_cursor gets very confused the next time it is called.
> 
> If I don't restore the original value, everything appears to work fine.
> 
> Should I replicate the cursor offset logic in erase_phys_cursor, or
> should I keep the new value of phys_cursor->x?  Thanks.

I don't think I understand the situation well enough to answer these
questions.

First, which call to display_and_set_cursor are we talking about?
And what do you mean by "erase_phys_cursor gets very confused" --
confused how?